#ifndef _INLINE_PLAYER61_H
#define _INLINE_PLAYER61_H

#include <sys/cdefs.h>
#include <inline/stubs.h>

__BEGIN_DECLS

#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct Player61Base*  Player61Base;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#define BASE_PAR_DECL0 void
#endif
#ifndef BASE_NAME
#define BASE_NAME Player61Base
#endif

static __inline struct p61status * 
P61_Inquire (BASE_PAR_DECL0)
{
  BASE_EXT_DECL
  register struct p61status *  _res  __asm("d0");
  register struct Player61Base* a6 __asm("a6") = BASE_NAME;
  __asm __volatile ("jsr a6@(-0x36)"
  : "=r" (_res)
  : "r" (a6)
  : "a0","a1","d0","d1", "memory");
  return _res;
}
static __inline LONG 
P61_Play (BASE_PAR_DECL a,b,c)
{
  BASE_EXT_DECL
  register LONG  _res  __asm("d0");
  register struct Player61Base* a6 __asm("a6") = BASE_NAME;
  register a __asm("A0") = a;
  register b __asm("D1") = b;
  register c __asm("D0") = c;
  __asm __volatile ("jsr a6@(-0x1e)"
  : "=r" (_res)
  : "r" (a6), "r" (A0), "r" (D1), "r" (D0)
  : "A0","D0","D1","a0","a1","d0","d1", "memory");
  return _res;
}
static __inline void 
P61_SetPos (BASE_PAR_DECL a)
{
  BASE_EXT_DECL
  register struct Player61Base* a6 __asm("a6") = BASE_NAME;
  register a __asm("D0") = a;
  __asm __volatile ("jsr a6@(-0x2a)"
  : /* no output */
  : "r" (a6), "r" (D0)
  : "D0","a0","a1","d0","d1", "memory");
}
static __inline void 
P61_SetVol (BASE_PAR_DECL a)
{
  BASE_EXT_DECL
  register struct Player61Base* a6 __asm("a6") = BASE_NAME;
  register a __asm("D0") = a;
  __asm __volatile ("jsr a6@(-0x30)"
  : /* no output */
  : "r" (a6), "r" (D0)
  : "D0","a0","a1","d0","d1", "memory");
}
static __inline void 
P61_Stop (BASE_PAR_DECL0)
{
  BASE_EXT_DECL
  register struct Player61Base* a6 __asm("a6") = BASE_NAME;
  __asm __volatile ("jsr a6@(-0x24)"
  : /* no output */
  : "r" (a6)
  : "a0","a1","d0","d1", "memory");
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_PAR_DECL0
#undef BASE_NAME

__END_DECLS

#endif /* _INLINE_PLAYER61_H */
